<?php
namespace Site\Controller;

use Site\Controller\Mods;
use Site\Lib\Template;

class Page {
  use Mods;

  public function about(array $params): void {
    try {
      $tmpl = new Template('/');
      $pagetit = '新ページ';
      $description = 'PHPフレームワークについて';

      $tmpl->assign('pagetit', $pagetit);
      $tmpl->assign('curPage', 'about');
      $tmpl->assign('custCss', false);
      $tmpl->assign('menu', $this->getMenu());
      $tmpl->assign('description', $description);

      $tmpl->render('about');
    } catch (\Exception $e) {
      throw new \Exception($e->getMessage());
    }
  }

  public function monero(array $params): void {
    try {
      $tmpl = new Template('/');
      $pagetit = 'モネロ（XMR）で支援♡';
      $description = 'テクニカル諏訪子ちゃんをモネロで支援♡';

      $tmpl->assign('pagetit', $pagetit);
      $tmpl->assign('curPage', 'support');
      $tmpl->assign('custCss', true);
      $tmpl->assign('menu', $this->getMenu());
      $tmpl->assign('description', $description);

      $tmpl->addCss('code');
      $tmpl->render('monero');
    } catch (\Exception $e) {
      throw new \Exception($e->getMessage());
    }
  }

  public function secret(array $params): void {
    try {
      $tmpl = new Template('/');
      $pagetit = '秘密のページ';
      $description = 'ケロ';

      $tmpl->assign('pagetit', $pagetit);
      $tmpl->assign('curPage', 'support');
      $tmpl->assign('custCss', false);
      $tmpl->assign('menu', $this->getMenu());
      $tmpl->assign('description', $description);

      $tmpl->render('secret');
    } catch (\Exception $e) {
      throw new \Exception($e->getMessage());
    }
  }
}